# DataExchange
TKXSBase
Interface

# Interface_DataMapNodeOfDataMapOfTransientInteger Class Reference

`#include <Interface_DataMapNodeOfDataMapOfTransientInteger.hxx>`

## Public Member Functions

| Interface_DataMapNodeOfDataMapOfTransientInteger (const Handle(Standard_Transient)&K, const Standard_Integer &I, const TCollection_MapNodePtr &n)
Handle_Standard_Transient & | Key () const
Standard_Integer & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Standard_Transient | myKey
Standard_Integer | myValue

## Constructor & Destructor Documentation

Interface_DataMapNodeOfDataMapOfTransientInteger::Interface_DataMapNodeOfDataMapOfTransientInteger | ( | const Handle(Standard_Transient)& | K,
|  | const Standard_Integer & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const Interface_DataMapNodeOfDataMapOfTransientInteger::Handle | ( | Standard_Type |  | ) | const

Handle_Standard_Transient& Interface_DataMapNodeOfDataMapOfTransientInteger::Key | ( |  | ) | const

Standard_Integer& Interface_DataMapNodeOfDataMapOfTransientInteger::Value | ( |  | ) | const

## Field Documentation

Handle_Standard_Transient Interface_DataMapNodeOfDataMapOfTransientInteger::myKey `[private]`

Standard_Integer Interface_DataMapNodeOfDataMapOfTransientInteger::myValue `[private]`

The documentation for this class was generated from the following file:

- Interface_DataMapNodeOfDataMapOfTransientInteger.hxx